Index: guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -10,8 +10,8 @@
 #from copy import deepcopy 
 # Debug printout
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
 from BaseInteractor import _BaseInteractor
 from sans.guiframe.dataFitting import Data1D
Index: guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- guiframe/local_perspectives/plotting/Arc.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/Arc.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -5,8 +5,8 @@
 
 from BaseInteractor import _BaseInteractor
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
   
  
Index: guiframe/local_perspectives/plotting/AzimutSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/AzimutSlicer.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/AzimutSlicer.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -12,8 +12,8 @@
 from copy import deepcopy
 from BaseInteractor import _BaseInteractor
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
 
 
Index: guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- guiframe/local_perspectives/plotting/Edge.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/Edge.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -4,8 +4,8 @@
 #from copy import deepcopy
 from BaseInteractor import _BaseInteractor
-#from sans.guicomm.events import NewPlotEvent
-#from sans.guicomm.events import StatusEvent
-#from sans.guicomm.events import SlicerParameterEvent
-#from sans.guicomm.events import EVT_SLICER_PARS
+#from sans.guiframe.events import NewPlotEvent
+#from sans.guiframe.events import StatusEvent
+#from sans.guiframe.events import SlicerParameterEvent
+#from sans.guiframe.events import EVT_SLICER_PARS
    
 
Index: guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter2D.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/Plotter2D.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -18,9 +18,9 @@
 from danse.common.plottools.PlotPanel import PlotPanel
 from danse.common.plottools.plottables import Graph
-from sans.guicomm.events import EVT_NEW_PLOT
-from sans.guicomm.events import EVT_SLICER_PARS
-from sans.guicomm.events import StatusEvent 
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import SlicerEvent
+from sans.guiframe.events import EVT_NEW_PLOT
+from sans.guiframe.events import EVT_SLICER_PARS
+from sans.guiframe.events import StatusEvent 
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import SlicerEvent
 from sans.guiframe.utils import PanelMenu
 from binder import BindArtist
@@ -516,5 +516,5 @@
         self.slicer.set_panel_name(name=new_panel.window_caption)
         ## post slicer panel to guiframe to display it 
-        from sans.guicomm.events import SlicerPanelEvent
+        from sans.guiframe.events import SlicerPanelEvent
         wx.PostEvent(self.parent, SlicerPanelEvent(panel=self.panel_slicer,
                                                     main_panel=self))
Index: guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -4,8 +4,8 @@
 #from copy import deepcopy
 from BaseInteractor import _BaseInteractor
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
 from sans.guiframe.dataFitting import Data1D
 
Index: guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/SlicerParameters.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -4,8 +4,8 @@
 import wx.lib.newevent
 #from copy import deepcopy
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import EVT_SLICER_PARS
 from sans.guiframe.utils import format_number
-from sans.guicomm.events import EVT_SLICER
-from sans.guicomm.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER
+from sans.guiframe.events import SlicerParameterEvent
 
 
Index: guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- guiframe/local_perspectives/plotting/boxMask.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/boxMask.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -9,5 +9,5 @@
 from boxSum import VerticalDoubleLine
 from boxSum import HorizontalDoubleLine
-#from sans.guicomm.events import SlicerParamUpdateEvent
+#from sans.guiframe.events import SlicerParamUpdateEvent
 
 
Index: guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/boxSlicer.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/boxSlicer.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -6,8 +6,8 @@
 import math
 import numpy
-from sans.guicomm.events import NewPlotEvent
-from sans.guicomm.events import StatusEvent
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
+from sans.guiframe.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
 from BaseInteractor import _BaseInteractor
 from sans.guiframe.dataFitting import Data1D
Index: guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- guiframe/local_perspectives/plotting/boxSum.py	(revision 614ce1b1f59eda9c15e76275d000cae217e6c14b)
+++ guiframe/local_perspectives/plotting/boxSum.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -6,7 +6,7 @@
 from copy import deepcopy
 from BaseInteractor import _BaseInteractor
-from sans.guicomm.events import SlicerParamUpdateEvent
-from sans.guicomm.events import EVT_SLICER_PARS
-from sans.guicomm.events import StatusEvent
+from sans.guiframe.events import SlicerParamUpdateEvent
+from sans.guiframe.events import EVT_SLICER_PARS
+from sans.guiframe.events import StatusEvent
 
 
Index: guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- guiframe/local_perspectives/plotting/detector_dialog.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/detector_dialog.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -8,6 +8,6 @@
 import sys
 from sans.guiframe.utils import format_number
-from sans.guicomm.events import StatusEvent 
-from sans.guicomm.events import NewPlotEvent
+from sans.guiframe.events import StatusEvent 
+from sans.guiframe.events import NewPlotEvent
 
 import matplotlib 
Index: guiframe/local_perspectives/plotting/masking.py
===================================================================
--- guiframe/local_perspectives/plotting/masking.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/masking.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -31,6 +31,6 @@
 from boxMask import BoxMask
 from sectorMask import SectorMask
-from sans.guicomm.events import SlicerEvent
-from sans.guicomm.events import StatusEvent
+from sans.guiframe.events import SlicerEvent
+from sans.guiframe.events import StatusEvent
 (InternalEvent, EVT_INTERNAL) = wx.lib.newevent.NewEvent()
 
Index: guiframe/local_perspectives/plotting/sectorMask.py
===================================================================
--- guiframe/local_perspectives/plotting/sectorMask.py	(revision 32c0841e02d6c59dd5e7872fdba98ea9afb790b9)
+++ guiframe/local_perspectives/plotting/sectorMask.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -6,5 +6,5 @@
 from SectorSlicer import SideInteractor
 from SectorSlicer import LineInteractor
-from sans.guicomm.events import SlicerParameterEvent
+from sans.guiframe.events import SlicerParameterEvent
 
 class SectorMask(_BaseInteractor):
Index: guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- guiframe/local_perspectives/plotting/slicerpanel.py	(revision 691643c46c33929157442bf0cf1b7127d59da6d0)
+++ guiframe/local_perspectives/plotting/slicerpanel.py	(revision 55a0dc1b7e461f8c7193c0e63098d24bbed33eca)
@@ -5,7 +5,7 @@
 #from copy import deepcopy
 from sans.guiframe.utils import format_number
-from sans.guicomm.events import SlicerParameterEvent
-from sans.guicomm.events import EVT_SLICER_PARS
-from sans.guicomm.events import EVT_SLICER
+from sans.guiframe.events import SlicerParameterEvent
+from sans.guiframe.events import EVT_SLICER_PARS
+from sans.guiframe.events import EVT_SLICER
 
 from sans.guiframe.panel_base import PanelBase
